﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace PushPlatform.Data.Criteria
{
    public partial class CriteriaSysUser
    {
        
        public CriteriaSysUser()
        {
            TableName="SysUser";
            OrderList = new List<string>();
            PageIndex = 1;
            PageSize = 20;
            UsePage = true;
            UserWhere = false;
        }
        
        #region Criteria Property
        public string TableName { get; set; }
        
        public IList<string> OrderList { get; set; }
        
        public int PageIndex { get; set; }
        
        public int PageSize { get; set; }
        
        public int PageTotal { get; set; }
        
        public bool UsePage { get; set; }
        
        public bool UseOr { get; set; }
        
        public bool UserWhere { get; set; }
        
        public string Where { get; set; }
        
        public bool IsAsc { get; set; }
        
        public object WhereValue { get; set; }
        
        #endregion
    
        #region Criteria Field
        
        
        public const string CriteriaField = "Id";
        
        
        
        public const string FieldId = "Id";
        public const string MapId = "Id";
        public const string FieldLoginname = "Loginname";
        public const string MapLoginname = "LoginName";
        public const string FieldLoginpwd = "Loginpwd";
        public const string MapLoginpwd = "LoginPwd";
        public const string FieldCreateUser = "CreateUser";
        public const string MapCreateUser = "Create_User";
        public const string FieldCreateTime = "CreateTime";
        public const string MapCreateTime = "Create_Time";
        public const string FieldUpdateUser = "UpdateUser";
        public const string MapUpdateUser = "Update_User";
        public const string FieldUpdateTime = "UpdateTime";
        public const string MapUpdateTime = "Update_Time";
        public const string FieldIsDeleted = "IsDeleted";
        public const string MapIsDeleted = "Is_Deleted";
        public const string FieldTimestamp = "Timestamp";
        public const string MapTimestamp = "Timestamp";
        
        
        
        #endregion
        
        #region Criteria Auto Property
        
        public System.String LikeAll { get; set; }
        
        public System.String LikeId { get; set; }
        List<System.String> _InId;
        public List<System.String> InId
        {
            get
            {
                if (_InId == null) { _InId = new List<System.String>(); }
                return _InId;
            }
        }
        List<System.String> _NotId;
        public List<System.String> NotId
        {
            get
            {
                if (_NotId == null) { _NotId = new List<System.String>(); }
                return _NotId;
            }
        }
        List<System.String> _OrEqId;
        public List<System.String> OrEqId
        {
            get
            {
                if (_OrEqId == null) { _OrEqId = new List<System.String>(); }
                return _OrEqId;
            }
        }
        List<System.String> _OrLikeId;
        public List<System.String> OrLikeId
        {
            get
            {
                if (_OrLikeId == null) { _OrLikeId = new List<System.String>(); }
                return _OrLikeId;
            }
        }
        public System.String EqId { get; set; }
        public System.String NeId { get; set; }
        public System.String EqIgId { get; set; }
        public System.String LeId { get; set; }
        public System.String GeId { get; set; }
        public System.String LtId { get; set; }
        public System.String GtId { get; set; }
        public bool  NullId { get; set; }
        public bool  NotNullId { get; set; }
        public System.String LikeLoginname { get; set; }
        List<System.String> _InLoginname;
        public List<System.String> InLoginname
        {
            get
            {
                if (_InLoginname == null) { _InLoginname = new List<System.String>(); }
                return _InLoginname;
            }
        }
        List<System.String> _NotLoginname;
        public List<System.String> NotLoginname
        {
            get
            {
                if (_NotLoginname == null) { _NotLoginname = new List<System.String>(); }
                return _NotLoginname;
            }
        }
        List<System.String> _OrEqLoginname;
        public List<System.String> OrEqLoginname
        {
            get
            {
                if (_OrEqLoginname == null) { _OrEqLoginname = new List<System.String>(); }
                return _OrEqLoginname;
            }
        }
        List<System.String> _OrLikeLoginname;
        public List<System.String> OrLikeLoginname
        {
            get
            {
                if (_OrLikeLoginname == null) { _OrLikeLoginname = new List<System.String>(); }
                return _OrLikeLoginname;
            }
        }
        public System.String EqLoginname { get; set; }
        public System.String NeLoginname { get; set; }
        public System.String EqIgLoginname { get; set; }
        public System.String LeLoginname { get; set; }
        public System.String GeLoginname { get; set; }
        public System.String LtLoginname { get; set; }
        public System.String GtLoginname { get; set; }
        public bool  NullLoginname { get; set; }
        public bool  NotNullLoginname { get; set; }
        public System.String LikeLoginpwd { get; set; }
        List<System.String> _InLoginpwd;
        public List<System.String> InLoginpwd
        {
            get
            {
                if (_InLoginpwd == null) { _InLoginpwd = new List<System.String>(); }
                return _InLoginpwd;
            }
        }
        List<System.String> _NotLoginpwd;
        public List<System.String> NotLoginpwd
        {
            get
            {
                if (_NotLoginpwd == null) { _NotLoginpwd = new List<System.String>(); }
                return _NotLoginpwd;
            }
        }
        List<System.String> _OrEqLoginpwd;
        public List<System.String> OrEqLoginpwd
        {
            get
            {
                if (_OrEqLoginpwd == null) { _OrEqLoginpwd = new List<System.String>(); }
                return _OrEqLoginpwd;
            }
        }
        List<System.String> _OrLikeLoginpwd;
        public List<System.String> OrLikeLoginpwd
        {
            get
            {
                if (_OrLikeLoginpwd == null) { _OrLikeLoginpwd = new List<System.String>(); }
                return _OrLikeLoginpwd;
            }
        }
        public System.String EqLoginpwd { get; set; }
        public System.String NeLoginpwd { get; set; }
        public System.String EqIgLoginpwd { get; set; }
        public System.String LeLoginpwd { get; set; }
        public System.String GeLoginpwd { get; set; }
        public System.String LtLoginpwd { get; set; }
        public System.String GtLoginpwd { get; set; }
        public bool  NullLoginpwd { get; set; }
        public bool  NotNullLoginpwd { get; set; }
        public System.String LikeCreateUser { get; set; }
        List<System.String> _InCreateUser;
        public List<System.String> InCreateUser
        {
            get
            {
                if (_InCreateUser == null) { _InCreateUser = new List<System.String>(); }
                return _InCreateUser;
            }
        }
        List<System.String> _NotCreateUser;
        public List<System.String> NotCreateUser
        {
            get
            {
                if (_NotCreateUser == null) { _NotCreateUser = new List<System.String>(); }
                return _NotCreateUser;
            }
        }
        List<System.String> _OrEqCreateUser;
        public List<System.String> OrEqCreateUser
        {
            get
            {
                if (_OrEqCreateUser == null) { _OrEqCreateUser = new List<System.String>(); }
                return _OrEqCreateUser;
            }
        }
        List<System.String> _OrLikeCreateUser;
        public List<System.String> OrLikeCreateUser
        {
            get
            {
                if (_OrLikeCreateUser == null) { _OrLikeCreateUser = new List<System.String>(); }
                return _OrLikeCreateUser;
            }
        }
        public System.String EqCreateUser { get; set; }
        public System.String NeCreateUser { get; set; }
        public System.String EqIgCreateUser { get; set; }
        public System.String LeCreateUser { get; set; }
        public System.String GeCreateUser { get; set; }
        public System.String LtCreateUser { get; set; }
        public System.String GtCreateUser { get; set; }
        public bool  NullCreateUser { get; set; }
        public bool  NotNullCreateUser { get; set; }
        public System.DateTime? EqCreateTime { get; set; }
        public System.DateTime? NeCreateTime { get; set; }
        public System.DateTime? EqIgCreateTime { get; set; }
        public System.DateTime? LeCreateTime { get; set; }
        public System.DateTime? GeCreateTime { get; set; }
        public System.DateTime? LtCreateTime { get; set; }
        public System.DateTime? GtCreateTime { get; set; }
        public bool  NullCreateTime { get; set; }
        public bool  NotNullCreateTime { get; set; }
        public System.String LikeUpdateUser { get; set; }
        List<System.String> _InUpdateUser;
        public List<System.String> InUpdateUser
        {
            get
            {
                if (_InUpdateUser == null) { _InUpdateUser = new List<System.String>(); }
                return _InUpdateUser;
            }
        }
        List<System.String> _NotUpdateUser;
        public List<System.String> NotUpdateUser
        {
            get
            {
                if (_NotUpdateUser == null) { _NotUpdateUser = new List<System.String>(); }
                return _NotUpdateUser;
            }
        }
        List<System.String> _OrEqUpdateUser;
        public List<System.String> OrEqUpdateUser
        {
            get
            {
                if (_OrEqUpdateUser == null) { _OrEqUpdateUser = new List<System.String>(); }
                return _OrEqUpdateUser;
            }
        }
        List<System.String> _OrLikeUpdateUser;
        public List<System.String> OrLikeUpdateUser
        {
            get
            {
                if (_OrLikeUpdateUser == null) { _OrLikeUpdateUser = new List<System.String>(); }
                return _OrLikeUpdateUser;
            }
        }
        public System.String EqUpdateUser { get; set; }
        public System.String NeUpdateUser { get; set; }
        public System.String EqIgUpdateUser { get; set; }
        public System.String LeUpdateUser { get; set; }
        public System.String GeUpdateUser { get; set; }
        public System.String LtUpdateUser { get; set; }
        public System.String GtUpdateUser { get; set; }
        public bool  NullUpdateUser { get; set; }
        public bool  NotNullUpdateUser { get; set; }
        public System.DateTime? EqUpdateTime { get; set; }
        public System.DateTime? NeUpdateTime { get; set; }
        public System.DateTime? EqIgUpdateTime { get; set; }
        public System.DateTime? LeUpdateTime { get; set; }
        public System.DateTime? GeUpdateTime { get; set; }
        public System.DateTime? LtUpdateTime { get; set; }
        public System.DateTime? GtUpdateTime { get; set; }
        public bool  NullUpdateTime { get; set; }
        public bool  NotNullUpdateTime { get; set; }
        public System.SByte? EqIsDeleted { get; set; }
        public System.SByte? NeIsDeleted { get; set; }
        public System.SByte? EqIgIsDeleted { get; set; }
        public System.SByte? LeIsDeleted { get; set; }
        public System.SByte? GeIsDeleted { get; set; }
        public System.SByte? LtIsDeleted { get; set; }
        public System.SByte? GtIsDeleted { get; set; }
        public bool  NullIsDeleted { get; set; }
        public bool  NotNullIsDeleted { get; set; }
        public System.Int64? EqTimestamp { get; set; }
        public System.Int64? NeTimestamp { get; set; }
        public System.Int64? EqIgTimestamp { get; set; }
        public System.Int64? LeTimestamp { get; set; }
        public System.Int64? GeTimestamp { get; set; }
        public System.Int64? LtTimestamp { get; set; }
        public System.Int64? GtTimestamp { get; set; }
        public bool  NullTimestamp { get; set; }
        public bool  NotNullTimestamp { get; set; }
        
        
        
        #endregion
        
        
        #region Criteria Method
        
        public void AddOrder(string order)
        {
            this.AddOrder(order,false);
        }
        
        public void AddOrder(string order, bool isAsc)
        {
            if(isAsc)
            {
                this.OrderList.Add(order);
                IsAsc=true;
            }
            else
            {
                this.OrderList.Add(order);
                IsAsc=false;
            }
        }
        
        public void ClearOrder()
        {
            this.OrderList.Clear();
        }
        
        public void RemoveOrder(string order)
        {
            if(this.OrderList.Contains(order+",0"))
                this.OrderList.Remove(order+",0");
            if(this.OrderList.Contains(order+",1"))
                this.OrderList.Remove(order+",1");
        }
        
        #endregion
       
    }
}
